Efreet_Trash.h File Reference

Contains the methods used to support the FDO trash specification. More...

## Functions

EAPI int | efreet_trash_init (void)
| Initializes the efreet trash system.
EAPI int | efreet_trash_shutdown (void)
| Cleans up the efreet trash system.
EAPI const char * | efreet_trash_dir_get (const char *for_file)
| Retrieves the XDG Trash local directory.
EAPI int | efreet_trash_delete_uri (Efreet_Uri *uri, int force_delete)
| This function try to move the given uri to the trash. Files on different filesystem can't be moved to trash. If force_delete is `0` than non-local files will be ignored and `-1` is returned, if you set force_delete to `1` non-local files will be deleted without asking.
EAPI Eina_List * | efreet_trash_ls (void)
| List all the files and directory currently inside the trash.
EAPI int | efreet_trash_is_empty (void)
| Check if the trash is currently empty.
EAPI int | efreet_trash_empty_trash (void)
| Delete all the files inside the trash.

## Detailed Description

Contains the methods used to support the FDO trash specification.